Bug 214099 - SQLite is not compiled with --enable-threadsafe
SQLite is not compiled with --enable-threadsafe
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: sqlite (Show other bugs)
5
All Linux
low Severity low
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-05 13:49 EST by Aurelien Bompard
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-06 12:26:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aurelien Bompard 2006-11-05 13:49:37 EST
Description of problem:
SQLite in FC-5 is not compiled with --enable-threadsafe, while it is in FC6+.
Would you accept to backport the option ? It prevents tracker (bug 214025) from
working properly, as described here :
http://mail.gnome.org/archives/tracker-list/2006-November/msg00001.html

I did not research if adding --enable-threadsafe could break existing apps, but
I can't see why it should.

Version-Release number of selected component (if applicable):
sqlite-3.3.3-1.2
Comment 1 Matthew Miller 2007-07-06 12:26:20 EDT
Since FC5 is no longer maintained, and since this works in FC6+, I don't think
we're ever going to see this. Sorry.

Note You need to log in before you can comment on or make changes to this bug.